Get Project Discussion List
GET/api/v5/repos/:owner/:repo/discuss
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
Query Parameters
access_token string
User authorization code
page string
The current page number
per_page string
The number of items per page, with a maximum of 100. The default is 20.
sort string
Please translate the following content into English in a professional manner, keeping the format unchanged. If the content is empty, do not translate it. Do not output anything other than the translation! Optional. Sort fields created (creation time), comment_size (number of comments), default creation time
direction string
Ascending/Descending (asc/desc), default is descending
search string
Search by title and description
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [
- ]
- ]
idstringrequired
numberintegerrequired
titlestringrequired
created_atstringrequired
updated_atstringrequired
author objectrequired
avatar_urlstringrequired
idstringrequired
object_idstringrequired
loginstringrequired
namestringrequired
is_lockintegerrequired
Locked
is_pinintegerrequired
Is it pinned
is_category_pinintegerrequired
Is of type pinned
is_closedintegerrequired
Do you want to close?
is_answeredintegerrequired
Yes, I will adopt the answer.
comment_totalintegerrequired
Comment count
category objectrequired
idstringrequired
namestringrequired
iconstringrequired
descriptionstringrequired
typeintegerrequired
namespace objectrequired
idintegerrequired
kindstringrequired
full_pathstringrequired
labels object[]required
Label
idstringrequired
namestringrequired
colorstringrequired
created_atstringrequired
updated_atstringrequired
[
{
"id": "string",
"number": 0,
"title": "string",
"created_at": "string",
"updated_at": "string",
"author": {
"avatar_url": "string",
"id": "string",
"object_id": "string",
"login": "string",
"name": "string"
},
"is_lock": 0,
"is_pin": 0,
"is_category_pin": 0,
"is_closed": 0,
"is_answered": 0,
"comment_total": 0,
"category": {
"id": "string",
"name": "string",
"icon": "string",
"description": "string",
"type": 0
},
"namespace": {
"id": 0,
"kind": "string",
"full_path": "string"
},
"labels": [
{
"id": "string",
"name": "string",
"color": "string",
"created_at": "string",
"updated_at": "string"
}
]
}
]